NICE(3)

NAME
nice - set program scheduling priority

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
int
nice(int incr);

DESCRIPTION
This interface is obsoleted by setpriority(2).

The nice() function obtains the scheduling priority of the process from the system and sets it to the priority value specified in incr. The priority is a value in the range -20 to 20. The default priority is 0; lower priorities cause more favorable scheduling. Only the super-user may lower priorities.

Children inherit the priority of their parent processes via fork(2).

RETURN VALUE
Upon successful completition, nice() returns the new nice value minus NZERO. Otherwise, -1 is returned, the process' nice value is not changed, and errno is set to indicate the error.

ERRORS
The nice() function will fail if:

[EPERM]
    The incr argument is negative and the caller is not the super-user.

STANDARDS
The nice() function conforms to xpg4.2.

SEE ALSO
nice(1), setpriority(2), fork(2), renice(8)

HISTORY
A nice() syscall appeared in AT&T UNIX.